#define TRIGGER D2
#define ECHO D3 // NodeMCU Pin D1> TRIGGER | Pin D2> ECHO 
#define BLYNK_PRINT Serial// Comment this out to disable prints and save space 
#include <ESP8266WiFi.h>
#include <BlynkSimpleEsp8266.h>

// You should get Auth Token in the Blynk App. // Go to the Project Settings (button icon). 
char auth [] = "Auth Token";

// Your WiFi credentials. Set password to "" for open networks. 
char ssid [] = "Network SSID";
char pass [] = "WIFI Password";

void setup()
{
Serial.begin(9600);
Blynk.begin(auth, ssid, pass);
pinMode(TRIGGER, OUTPUT);
pinMode(ECHO, INPUT);
pinMode(BUILTIN_LED, OUTPUT);
}

void loop ()
{
long duration, distance;
digitalWrite(TRIGGER, LOW);
delayMicroseconds(2);
digitalWrite(TRIGGER, HIGH);
delayMicroseconds(10);
digitalWrite(TRIGGER, LOW);
duration = pulseIn(ECHO, HIGH);
distance = (duration / 2) / 29.1;

if (distance <= 200)
{
Blynk.virtualWrite(V2, 255);
}
else
{
Blynk.virtualWrite(V2, 0);
}
if (distance <= 150)
{
Blynk.virtualWrite(V3, 255);
}
else
{
Blynk.virtualWrite(V3, 0);
}
if (distance <= 100)
{
Blynk.virtualWrite(V4, 255);
}
else
{
Blynk.virtualWrite(V4, 0);
}
if (distance <= 50)
{
Blynk.virtualWrite(V5, 255);
}
else
{
Blynk.virtualWrite(V5, 0);
}
if (distance <= 25)
{
Blynk.virtualWrite(V6, 255);
}
else
{
Blynk.virtualWrite(V6, 0);
}
Serial.print("Centimeter: ");
Serial.println(distance);
Blynk.virtualWrite(V1, distance);
delay(200);
Blynk.run();
}
